import request from '@/utils/request'

// 查询设备类型管理列表
export function listTypemgr(query) {
  return request({
    url: '/sems/typemgr/list',
    method: 'get',
    params: query
  })
}

// 查询设备类型管理列表(不分页)
export function listTypemgrAll(query) {
  return request({
    url: '/sems/typemgr/listAll',
    method: 'get',
    params: query
  })
}

// 查询设备类型管理详细
export function getTypemgr(id) {
  return request({
    url: '/sems/typemgr/' + id,
    method: 'get'
  })
}

// 新增设备类型管理
export function addTypemgr(data) {
  return request({
    url: '/sems/typemgr',
    method: 'post',
    data: data
  })
}

// 修改设备类型管理
export function updateTypemgr(data) {
  return request({
    url: '/sems/typemgr',
    method: 'put',
    data: data
  })
}

// 删除设备类型管理
export function delTypemgr(id) {
  return request({
    url: '/sems/typemgr/' + id,
    method: 'delete'
  })
}
